﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="ADPolices.Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
     <script type="text/javascript" id="telerikClientEvents1">
//<![CDATA[
         function RadListBoxGroups_Deleting(sender, args) {
             if (!confirm("Are you sure you want to delete selected PoliceGroup?"))
                 args.set_cancel(true);
         }
//]]>
    </script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
		<AjaxSettings>
			<telerik:AjaxSetting AjaxControlID="RadListBoxADGroups">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="RadListBoxGroups" />
				</UpdatedControls>
			</telerik:AjaxSetting>
			<telerik:AjaxSetting AjaxControlID="RadListBoxADGroups">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="RadListBoxADGroups" />
				</UpdatedControls>
			</telerik:AjaxSetting>
			<telerik:AjaxSetting AjaxControlID="RadListBoxGroups">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="LabelMessage" />
				</UpdatedControls>
			</telerik:AjaxSetting>
			<telerik:AjaxSetting AjaxControlID="RadComboBoxPolice">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="RadListBoxGroups" />
				</UpdatedControls>
			</telerik:AjaxSetting>
		</AjaxSettings>
	</telerik:RadAjaxManager>
    <br />
    <div align="center">
       <table>
		<tr>
			<td>
				<telerik:RadListBox ID="RadListBoxADGroups" runat="server" AllowTransfer="True" DataSourceID="ObjectDataSource1"
					DataTextField="Name" DataValueField="ID" Height="300px" Width="300px" TransferToID="RadListBoxGroups"
					EmptyMessage="Active Directory is missing" AutoPostBackOnTransfer="True" 
					EnableDragAndDrop="True" TransferMode="Copy" style="top: 0px; left: 0px" 
                    ontransferred="RadListBoxAdGroupsTransferred">
					<ButtonSettings TransferButtons="TransferFrom" Position="Right" VerticalAlign="Top"
						AreaWidth="40" />
				</telerik:RadListBox>
			  
			    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
                    SelectMethod="SelectAdGroups" TypeName="ADPolices.AdGroup">
                </asp:ObjectDataSource>
			  
			</td>
			<td>
				<telerik:RadListBox ID="RadListBoxGroups" runat="server" EmptyMessage="No Sorted Groups"
					Style="top: 0px; left: 0px; width: 250px; height: 300px" Height="300px" AutoPostBackOnDelete="True"
					DAllowDelete="True" DataSourceID="ObjectDataSource2" DataTextField="Name" 
                    DataValueField="Id" AllowDelete="True" ondeleted="RadListBoxGroupsDeleted" OnClientDeleting="RadListBoxGroups_Deleting">
					<ButtonSettings Position="Right" VerticalAlign="Top" AreaWidth="40" />
				</telerik:RadListBox>
				
					
			    <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" 
                    SelectMethod="SelectFilteredGroups" TypeName="ADPolices.Controller">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="RadComboBoxPolice" Name="politicId" 
                            PropertyName="SelectedValue" Type="Int32" />
                        <asp:ControlParameter ControlID="LabelOwnGName" Name="ownGName" 
                            PropertyName="Text" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
				
					
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="LabelOwnGName" runat="server" />
			</td>
			<td>
				<telerik:RadComboBox ID="RadComboBoxPolice" runat="server" DataSourceID="ObjectDataSource3"
					DataTextField="Name" DataValueField="ID" AutoPostBack="True" Width="100px">
				</telerik:RadComboBox>
			   
			    <asp:ObjectDataSource ID="ObjectDataSource3" runat="server" 
                    SelectMethod="SelectGroupPolices" TypeName="ADPolices.Controller">
                </asp:ObjectDataSource>
			   
			</td>
		</tr>
	</table>
	<br />
	<div >
		<asp:Label ID="LabelMessage" runat="server" ClientIDMode="Static" />
	</div>
	<telerik:RadWindowManager ID="RadWindowManager1" runat="server" Modal="True">
        </telerik:RadWindowManager>
        </div>
</asp:Content>
