﻿using System.Data.Entity;

namespace Database
{
    public class ContextInitializer : DropCreateDatabaseIfModelChanges<Context>
    {
        protected override void Seed(Context context)
        {
            context.GroupPolices.Add(new GroupPolice { Name = "Admin" });
            context.GroupPolices.Add(new GroupPolice { Name = "User" });
            context.GroupPolices.Add(new GroupPolice { Name = "Guest" });
            
            context.SaveChanges();

            context.Groups.Add(new Group {Name = "Admin1", GroupPoliceId = 1});
            context.Groups.Add(new Group { Name = "User1", GroupPoliceId = 2 });
            context.Groups.Add(new Group { Name = "Guest1", GroupPoliceId = 3 });

            context.SaveChanges();
   
        }
    }
}
