﻿using System.Collections.Generic;
using System.DirectoryServices;

namespace ADPolices
{
    public class AdGroup
    {
        public int Id { get; set; }
        public string Name { get; set; }
       
        public List<AdGroup> SelectAdGroups()
        {
            var list = new List<AdGroup>();
            var srch = new DirectorySearcher { Filter = "(objectClass=Group)" };
            var results = srch.FindAll();
            foreach (SearchResult item in results)
            {
                var equalsIndexCn = item.Path.IndexOf('=', 0);
                if (equalsIndexCn == -1) return null;
                var commandIndexCn = item.Path.IndexOf(',', equalsIndexCn);
                list.Add(new AdGroup { Name = item.Path.Substring((equalsIndexCn + 1), (commandIndexCn - equalsIndexCn) - 1) });
            }
            return list;
        }

    }
}