﻿using System;
using System.Linq;
using System.Web.UI;
using Database;

namespace ADPolices
{
    public partial class Default : Page
    {
        private readonly Controller _c = new Controller();

        protected void Page_Load(object sender, EventArgs e)
        {
            LabelOwnGName.Text = "Admin1";
            LabelMessage.Text = String.Empty;
        }

        protected void RadListBoxAdGroupsTransferred(object sender, Telerik.Web.UI.RadListBoxTransferredEventArgs e)
        {
            if (e.DestinationListBox != sender) 
            {
                foreach (
                    var grpIns in
                        e.Items.Select(
                            item =>
                            new Group
                                {Name = item.Text, GroupPoliceId = Convert.ToInt32(RadComboBoxPolice.SelectedValue)})
                    )
                {
                    _c.InsertGroup(grpIns);
                }
                LabelMessage.Text = Controller.Message;
                RadListBoxGroups.DataBind();
            }
        }

        protected void RadListBoxGroupsDeleted(object sender, Telerik.Web.UI.RadListBoxEventArgs e)
		{
			foreach (
					var grpDel in
						e.Items.Select(item => new Group { Id = Convert.ToInt32(item.Value), Name = item.Text })
					)
			{
				_c.DeleteGroup(grpDel);
			}
            LabelMessage.Text = Controller.Message;
			RadListBoxGroups.DataBind();
		}
    }
}

