﻿using System.Data.Entity;
using System.ComponentModel.DataAnnotations;

namespace Database
{
    public class Context : DbContext
    {
        
         static Context()
        {
            System.Data.Entity.Database.SetInitializer(new ContextInitializer());
        }

        public DbSet<Group> Groups { get; set; }
        public DbSet<GroupPolice> GroupPolices { get; set; }
    }
    public class GroupPolice
    {
        [Key]
        public int Id { get; set; }
        [Required]
        public string Name { get; set; }
    }

    public class Group
    {
        [Key]
        public int Id { get; set; }
        [Required]
        public string Name { get; set; }
        public int GroupPoliceId { get; set; }

        public virtual GroupPolice GroupPolice { get; set; }
    }

}
